# Ogre::AnimationStateSet Class Reference

Class encapsulating a set of AnimationState objects. More...

`#include <OgreAnimationState.h>`

List of all members.

## Public Member Functions

| AnimationStateSet ()
| Create a blank animation state set.
| AnimationStateSet (const AnimationStateSet &rhs)
| Create an animation set by copying the contents of another.
| ~AnimationStateSet ()
AnimationState * | createAnimationState (const String &animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)
| Create a new AnimationState instance.
AnimationState * | getAnimationState (const String &name) const
| Get an animation state by the name of the animation.
bool | hasAnimationState (const String &name) const
| Tests if state for the named animation is present.
void | removeAnimationState (const String &name)
| Remove animation state with the given name.
void | removeAllAnimationStates (void)
| Remove all animation states.
AnimationStateIterator | getAnimationStateIterator (void)
| Get an iterator over all the animation states in this set.
ConstAnimationStateIterator | getAnimationStateIterator (void) const
| Get an iterator over all the animation states in this set.
void | copyMatchingState (AnimationStateSet *target) const
| Copy the state of any matching animation states from this to another.
void | _notifyDirty (void)
| Set the dirty flag and dirty frame number on this state set.
unsigned long | getDirtyFrameNumber (void) const
| Get the latest animation state been altered frame number.
void | _notifyAnimationStateEnabled (AnimationState *target, bool enabled)
| Internal method respond to enable/disable an animation state.
bool | hasEnabledAnimationState (void) const
| Tests if exists enabled animation state in this set.
ConstEnabledAnimationStateIterator | getEnabledAnimationStateIterator (void) const
| Get an iterator over all the enabled animation states in this set.

## Protected Attributes

unsigned long | mDirtyFrameNumber
AnimationStateMap | mAnimationStates
EnabledAnimationStateList | mEnabledAnimationStates

## Detailed Description

Class encapsulating a set of AnimationState objects.

Definition at line 123 of file OgreAnimationState.h.

## Constructor & Destructor Documentation

Ogre::AnimationStateSet::AnimationStateSet | ( |  | ) |

| Create a blank animation state set.

Ogre::AnimationStateSet::AnimationStateSet | ( | const AnimationStateSet & | rhs | ) |

| Create an animation set by copying the contents of another.

Ogre::AnimationStateSet::~AnimationStateSet | ( |  | ) |

## Member Function Documentation

void Ogre::AnimationStateSet::_notifyAnimationStateEnabled | ( | AnimationState * | target,
|  | bool | enabled
| ) |

| Internal method respond to enable/disable an animation state.

void Ogre::AnimationStateSet::_notifyDirty | ( | void |  | ) |

| Set the dirty flag and dirty frame number on this state set.

void Ogre::AnimationStateSet::copyMatchingState | ( | AnimationStateSet * | target | ) | const

| Copy the state of any matching animation states from this to another.

AnimationState* Ogre::AnimationStateSet::createAnimationState | ( | const String & | animName,
|  | Real | timePos,
|  | Real | length,
|  | Real | weight = `1.0`,
|  | bool | enabled = `false`
| ) |

Create a new AnimationState instance.

Parameters:

  | animName | The name of the animation
  | timePos | Starting time position
  | length | Length of the animation to play
  | weight | Weight to apply the animation with
  | enabled | Whether the animation is enabled

AnimationState* Ogre::AnimationStateSet::getAnimationState | ( | const String & | name | ) | const

| Get an animation state by the name of the animation.

ConstAnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) | const

| Get an iterator over all the animation states in this set.

AnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) |

| Get an iterator over all the animation states in this set.

unsigned long Ogre::AnimationStateSet::getDirtyFrameNumber | ( | void |  | ) | const

| Get the latest animation state been altered frame number. Definition at line 160 of file OgreAnimationState.h.

ConstEnabledAnimationStateIterator Ogre::AnimationStateSet::getEnabledAnimationStateIterator | ( | void |  | ) | const

| Get an iterator over all the enabled animation states in this set.

bool Ogre::AnimationStateSet::hasAnimationState | ( | const String & | name | ) | const

| Tests if state for the named animation is present.

bool Ogre::AnimationStateSet::hasEnabledAnimationState | ( | void |  | ) | const

| Tests if exists enabled animation state in this set. Definition at line 165 of file OgreAnimationState.h.

void Ogre::AnimationStateSet::removeAllAnimationStates | ( | void |  | ) |

| Remove all animation states.

void Ogre::AnimationStateSet::removeAnimationState | ( | const String & | name | ) |

| Remove animation state with the given name.

## Member Data Documentation

AnimationStateMap Ogre::AnimationStateSet::mAnimationStates `[protected]`

| Definition at line 171 of file OgreAnimationState.h.

unsigned long Ogre::AnimationStateSet::mDirtyFrameNumber `[protected]`

| Definition at line 170 of file OgreAnimationState.h.

EnabledAnimationStateList Ogre::AnimationStateSet::mEnabledAnimationStates `[protected]`

| Definition at line 172 of file OgreAnimationState.h.

The documentation for this class was generated from the following file:

- OgreAnimationState.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:20 2006